Main Page Modules Class Hierarchy Compound List File List Compound Members

# cTerminationException Class Reference

`#include <cexception.h>`

Inheritance diagram for cTerminationException::

List of all members.

## Public Methods

| cTerminationException (int errcode,...)
| cTerminationException (const char *msg,...)

## Detailed Description

This exception is thrown when there is no error, but the simulation has to be terminated. For example, cSimpleModule::endSimulation() throws this exception. Statistics object may also use this exception to signal that accuracy of simulation results has reached the desired level.

## Constructor & Destructor Documentation

cTerminationException::cTerminationException ( | int errcode,
| ... )

| Error is identified by an error code, and the message comes from a string table. The error string may expect printf-like arguments (s, d) which also have to be passed to the constructor.

cTerminationException::cTerminationException ( | const char * msg,
| ... )

| To be called like printf(). The error code is set to eCUSTOM.

The documentation for this class was generated from the following file:

- cexception.h